Parser =
  Name = xgettext
  Languages =
    Language = PHP
      Extensions =
        .php
        .phtml
      Keywords =
        _
        gettext
        dgettext:2
        dcgettext:2
        ngettext:1,2
        dngettext:2,3
        dcngettext:2,3
        __
        ___:1
        ___:1,2c
        __ngettext:1,2
        __ngettext_noop:1,2
        _c
        _e
        _ex:1,2c
        _n
        _n:1,2
        _n_noop
        _n_noop:1,2
        _nc:1,2
        _nx
        _nx:1,2,4c
        _nx:4c,1,2
        _nx_noop
        _nx_noop:1,2,3c
        _nx_noop:4c,1,2
        _refresh
        _x
        _x:1,2c
        append
        esc_attr_
        esc_attr__
        esc_attr_e
        esc_attr_x
        esc_attr_x:1,2c
        esc_html__
        esc_html_e
        esc_html_x
        esc_html_x:1,2c
        n___:1,2
        n___:1,2,4c
        prepend
        setLabel
        setLegend
        setMessage
        setValue
        T_pgettext:1c,2
        translate

    Language = awk
      Keywords =
        dcgettext
        dcngettext:1,2

    Language = c
      Extensions =
        .C
        .h
        .xrc
      Keywords =
        _
        dcgettext:2
        dcngettext:2,3
        dcnpgettext:2c,3,4
        dcpgettext:2c,3
        dgettext:2
        dngettext:2,3
        dnpgettext:2c,3,4
        dpgettext:2c,3
        gettext
        gettext_noop
        ngettext:1,2
        npgettext:1c,2,3
        pgettext:1c,2

    Language = c++
      Extensions =
        .cpp
        .cc
        .c++
        .cp
        .cxx
        .hxx
        .h
        .hpp
        .xrc
      Keywords =
        _
        dcgettext:2
        dcngettext:2,3
        dcnpgettext:2c,3,4
        dcpgettext:2c,3
        dgettext:2
        dngettext:2,3
        dnpgettext:2c,3,4
        dpgettext:2c,3
        gettext
        gettext_noop
        ngettext:1,2
        npgettext:1c,2,3
        pgettext:1c,2

    Language = Vala
      Extensions =
        .vala
      Keywords =
        _
        ngettext
        _t
        _tn

    Language = Glade
      Extensions = 
        .glade
      Keywords =
        1:label
        title
        text
        format
        copyright
        comments
        preview_text
        tooltip

    Language = gtk
      Keywords =
        _T    ~used for strings that should not be translated.
        wxPLURAL:1,2

    Language = wxWidgets
      Keywords =
        wxPLURAL:1,2


    Language = c#
      Extensions = .c#
      Keywords =
        GetString
        GetPluralString:1,2
        GetParticularString:1c,2
        GetParticularPluralString:1c,2,3    

    Language = GCC-source

    Language = Java
      Extensions = 
        .java
        .class
        .properties
      Keywords =
        GettextResource.gettext:2
        GettextResource.ngettext:2,3
        GettextResource.pgettext:2c,3
        GettextResource.npgettext:2c,3,4
        gettext
        ngettext:1,2
        pgettext:1c,2
        npgettext:1c,2,3
        getString

    Language = JavaProperties
      Extensions =.properties


    Language = Lisp
      Extensions = 
        .lisp
        .lsp
        .l
        .cl
      Keywords =
        gettext
        ngettext:1,2
        gettext-noop


    Language = Scheme
      Keywords =
        gettext
        ngettext:1,2
        gettext-noop

    Language =  EmacsLisp

    Language = librep
      Extensions = .jl

    Language = ObjectiveC
      Extensions =
        .m
        .mm
        .h
      Keywords =
        _
        __
        NSLocalizedString
        NSLocalizedStaticString

    Language = NXStringTable

    Language = Perl
      Extensions = 
        .pl
        .plc
        .pm
        .t
        .pod
      Keywords =
        gettext
        %gettext
        $gettext
        dgettext:2
        dcgettext:2
        ngettext:1,2
        dngettext:2,3
        dcngettext:2,3
        gettext_noop

    Language = Python
      Extensions =
        .py
        .pyw
        .pyc
        .pyo
        .pyd
      Keywords =
        gettext
        ugettext
        dgettext:2
        ngettext:1,2
        ungettext:1,2
        dngettext:2,3
        _
    Language = RST

    Language = Shell

    Language = Smalltalk

    Language = Tcl
      Keywords =
        ::msgcat::mc

    Language = YCP
    ~Language = Nimrod
  LanguageList =
    C
    C++
    ObjectiveC
    PO
    Shell
    Python
    Lisp
    EmacsLisp
    librep
    Scheme
    Smalltalk
    Java
    JavaProperties
    C#
    awk
    YCP
    Tcl
    Perl
    PHP
    GCC-source
    NXStringTable
    RST
    Glade

~Parser =
  Name = dxgettext
  Languages = 
    Language = ObjectPascal
      Extensions =
        .pas
        .inc
        .rc 
        .dpr
        .xfm
        .dfm
  LanguageList =
    delphi
    kylix

~Parser =
  Name = hgettext
  Languages =
    Language = Haskell
      Extensions = .hs
      Keywords = __



